Skip to content

Numbers: Gamma Integration ​


The integration with Gamma changes the behaviour of the number ordering process. In this case, the number will be retrieved from the Gamma APIs instead of the NIMS. Please refer to the Gamma API documentation for further details.

WARNING

Currently the integration with Gamma works only for UK numbers.

The below endpoints requires a basic configuration to work properly. Before use them, please make sure that the correct information are available in the Gamma configurations:

  • gamma_first_name
  • gamma_last_name
  • gamma_primary_email
  • gamma_contact_number
  • gamma_notify_email
  • gamma_username
  • gamma_password
  • gamma_client_id
  • gamma_service_id

Below there are the currently supported endpoints.

Retrieve the Gamma configuration ​

This endpoint allows to retrieve the Gamma configuration of a group. These are the properties required by the Gamma endpoints listed below (credentials, contact details and service identifiers). All property names containing password or token are returned masked as ********.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/gamma/configurations

Authorization ​

Required role

groups.instance.gamma.configurations.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group holding the Gamma configuration

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno

Response ​

Status codes ​

ParameterDescription
200The Gamma configuration has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No group found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
propertiesobjectThe Gamma configuration as key / value pairs, as defined by this structureno
nextstringA token used to retrieve subsequent records. Only present if the list of properties has to be continuedyes
Example ​
json
{
  "properties": {
    "gamma_first_name": "John",
    "gamma_last_name": "Smith",
    "gamma_primary_email": "john.smith@example.co.uk",
    "gamma_notify_email": "porting@example.co.uk",
    "gamma_contact_number": "+442071234567",
    "gamma_client_id": 123456,
    "gamma_service_id": "DC2N13LAK02328",
    "gamma_username": "fusion_api",
    "gamma_password": "********",
    "gamma_gnp_username": "fusion_gnp",
    "gamma_gnp_password": "********",
    "gamma_gnp_loa": "groups/1234-afd3443ff-111010d/documents/loa.pdf"
  }
}

Create or modify the Gamma configuration ​

Use this endpoint to create or modify the Gamma configuration of a group. This API is an upsert one, meaning that a non-existing property will be added and an existing one will be updated.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/gamma/configurations

Authorization ​

Required role

groups.instance.gamma.configurations.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group holding the Gamma configuration

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
propertiesobjectAn object defining the Gamma properties as key / value pairs, as defined by this structure. Non-existing keys will be added, existing ones will be updated with the new valueyes

Example ​

json
{
  "properties": {
    "gamma_first_name": "John",
    "gamma_last_name": "Smith",
    "gamma_primary_email": "john.smith@example.co.uk",
    "gamma_notify_email": "porting@example.co.uk",
    "gamma_contact_number": "+442071234567",
    "gamma_client_id": 123456,
    "gamma_service_id": "DC2N13LAK02328",
    "gamma_username": "fusion_api",
    "gamma_password": "MySecretPassword",
    "gamma_gnp_username": "fusion_gnp",
    "gamma_gnp_password": "MyGnpSecretPassword",
    "gamma_gnp_loa": "groups/1234-afd3443ff-111010d/documents/loa.pdf"
  }
}

Response ​

Status codes ​

ParameterDescription
204The Gamma configuration was successfully added or modified
400Error while processing the Gamma configuration
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Check the Gamma configuration ​

This endpoint allows to check whether the Gamma configuration applicable to the subscription is complete for a given type of order, i.e. whether new orders or port orders can be placed.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/check_configurations

Authorization ​

Required role

tenants.instance.subscriptions.gamma.check_configurations

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
subscription_idintegerIndex of the subscription for which you want to check the Gamma configuration

URL/Query parameters ​

ParameterTypeDescriptionRequired?
typestringThe type of order to check the configuration for, either new or portyes

Response ​

Status codes ​

ParameterDescription
200The check has been performed
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
statusbooleanTrue if the Gamma configuration is complete for the requested type of order, false otherwiseno
Example ​
json
{
  "status": true
}

Retrieve Service Info ​

This endpoint allows to retrieve useful information about the Gamma service we are using and the DDIs assigned to it.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/service/info

Authorization ​

Required role

tenants.instance.subscriptions.gamma.service.info

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The service info are ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
numbersobjectNumbers object as defined by this structure found for the serviceno
service_infoobjectService info object as defined by this structure found for the serviceno
Numbers Object ​
ParameterTypeDescriptionConditional?
totalintegerThe amount of numbers assigned to the serviceno
numbersarrayA list of all the numbers assigned to the serviceno
Service info Object ​
ParameterTypeDescriptionConditional?
endpointstringThe endpoint holding the numbers, it's useful for subsequent API callsno
tokenstringToken needed to process all requests for the serviceno
Example ​
json
{
  "numbers": {
    "numbers": [
      "1133220007",
      "1133227246",
      "1237870525",
      "1237870526",
      "1237870527",
      "2045098864"
    ],
    "total": 6
  },
  "service_info": {
    "endpoint": "DC2N13LAK02328_A2",
    "token": "266F255245C927FD2FE31B7D1B6F7F900EEC2977"
  }
}

Retrieve available area codes ​

This endpoint allows to retrieve all supported area codes for the UK area.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/area_codes

Authorization ​

Required role

tenants.instance.subscriptions.gamma.area_codes

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of area codes is ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
areaCodesobjectAll area codes are listed as a key-value pairno
Example ​
json
{
  "areaCodes": {
    "113": "Leeds",
    "114": "Sheffield",
    "115": "Nottingham",
    "116": "Leicester",
    ...
    "1854": "Ullapool",
    "1856": "Orkney",
    ...
    "2896": "Belfast",
    "2897": "Saintfield",
    "29": "Cardiff"
  }
}

Retrieve Customer's Letter of Authority ​

This endpoint allows to retrieve customer's letter of authority LoA.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/loa

Authorization ​

Required role

tenants.instance.subscriptions.gamma.loa

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of area codes is ready
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
loastringThe url of the customer's LoAno
Example ​
json
{
  "loa": "http://www.example.com/loa.pdf"
}

Retrieve available Loosing Communication Providers ​

This endpoint allows to retrieve all supported Loosing Communication Providers of Gamma.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/lcps

Authorization ​

Required role

tenants.instance.subscriptions.gamma.lcps

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The list of LCPs is ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
lcpsarrayList of Loosing Communication Providers object as defined by LCPno
Example ​
json
{
  "lcps": [
    {
      "key": "BARRITEL_LIMITED",
      "value": "Barritel Limited"
    },
    {
      "key": "BT_OPENREACH",
      "value": "BT Openreach"
    },
    {
      "key": "COLT",
      "value": "Colt"
    },
    ...
    {
      "key": "VOIP_UN_LIMITED",
      "value": "VoIP-Un Limited"
    },
    {
      "key": "VOXBONE_SA",
      "value": "Voxbone SA"
    }
  ]
}

Check range by area codes ​

This endpoint allows to check if a generic range is available in the specified area code. Once a range is checked, it will be reserved on Gamma side for a limited period of time, then it will be available again.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/check_range

Authorization ​

Required role

tenants.instance.subscriptions.gamma.check_range

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

ParameterTypeDescriptionRequired?
areaCodestringThe area code to check the availability of rangesno
consecutivebooleanAllows to specify if the range needs to be of consecutive numbers or notno
quantityintegerThe amount of needed numbersno

Response ​

Status codes ​

ParameterDescription
200The response is ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
availablebooleanTrue if there are some available ranges, false otherwiseno
Example ​
json
{
  "available": true
}

Check portability of a number ​

This endpoint allows to check if a number can be ported and which is its range holder.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/check_portability/{ddi}

Authorization ​

Required role

tenants.instance.subscriptions.gamma.check_portability

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations
ddistringThe number you want to check for portability

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The portability response is ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
ddistringThe number you have checked for portabilityno
rangeHolderstringThe loosing communication provider that holds the numberno
Example ​
json
{
  "ddi": "02030484380",
  "rangeHolder": "COLT"
}

Check portability dates ​

This endpoint allows to retrieve available dates of when the number can be ported.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/check_portability_dates

Authorization ​

Required role

tenants.instance.subscriptions.gamma.check_portability_dates

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
ddistringThe number you want to check the portability datesyes
lcpstringThe loosing communication provider that holds the numberyes

Response ​

Status codes ​

ParameterDescription
200There are some dates available
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
datesarrayA list of dates in which the number can be portedno
Example ​
json
{
  "dates": [
    "2024-07-03",
    "2024-07-04",
    "2024-07-05",
    ...
    "2024-09-24",
    "2024-09-25"
  ]
}

Make an order of new numbers ​

Use this endpoint to order new numbers on the Gamma platform.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/orders

Authorization ​

Required role

tenants.instance.subscriptions.gamma.orders.new

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
areaCodestringThe area code to place the order inyes
consecutivebooleanAllows to specify if the range needs to be of consecutive numbers or notyes
quantityintegerThe amount of needed numbersyes

Example ​

json
{
  "areaCode": "1235",
  "consecutive": true,
  "quantity": 2
}

Response ​

Status codes ​

ParameterDescription
200The new order was created successfully
400Error while creating the new order
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
order_idstringAn unique id provided by Gamma to identify the orderno
statusstringThe status of the order transaction. Could be in_progress, order_confirmed or order_errorno
Example ​
json
{
  "order_id": "838ADE1DE4EED602C48C9FC2945724D4BBDCC870",
  "status": "order_confirmed"
}

Make a port order of numbers from another service provider ​

Use this endpoint to start the porting procedure of numbers from a service provider to the Gamma platform.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/port_orders

Authorization ​

Required role

tenants.instance.subscriptions.gamma.orders.port

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
main_numberobjectA number object representing the main number of the portyes
line_typestringThe type of porting, possible values single or multiyes
lcpstringThe loosing communication provider you are porting fromyes
customerobjectThe customer details as defined by this structureyes
addressobjectThe address details as defined by this structureyes
port_dateobjectA date object representing the preferred date/time of the portyes
other_numbersarrayAn array of number objects for additional numbers to portno
associated_numbersarrayAn array of number objects for associated numbers to portno
all_numbersarrayAn array of number objects for all numbers to portno
single_ddisarrayAn array of number objects for single numbers to portno
ddi_rangesarrayAn array of range objects for range of numbers to portno

Example ​

json
{
  "main_number": {
    "prefix": "02030",
    "number": "484354"
  },
  "other_numbers": [
    {
      "prefix": "02030",
      "number": "484351"
    }
  ],
  "ddi_ranges": [
    {
      "start_prefix": "02030",
      "start_number": "123400",
      "end_prefix": "02030",
      "end_number": "123405"
    }
  ],
  "associated_numbers": [
    {
      "prefix": "02030",
      "number": "484380"
    }
  ],
  "lcp": "COLT",
  "line_type": "multi",
  "customer": {
    "first_name": "Phoebe",
    "last_name": "Simpson",
    "email_address": "ethan.wood@yahoo.com",
    "company_name": "Hunter Ltd",
    "contact_number": "+442170444918"
  },
  "address": {
    "street": "Flat 83 Jane Views",
    "town": "Parkerfort",
    "postcode": "KT22 7UE"
  },
  "port_date": {
    "port_date": "2024-06-17",
    "port_date_type": "standard"
  }
}

Response ​

Status codes ​

ParameterDescription
200The port order was created successfully
400Error while creating the port order
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
order_idstringAn unique id provided by Gamma to identify the orderno
statusstringThe status of the order transaction. Could be in_progress, order_confirmed or order_errorno
Example ​
json
{
  "order_id": "650168",
  "status": "in_progress"
}

Retrieve all orders ​

This endpoint allows to retrieve all orders placed for the current Gamma service.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/orders

Authorization ​

Required role

tenants.instance.subscriptions.gamma.orders

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations

URL/Query parameters ​

ParameterTypeDescriptionRequired?
typestringAllows to filters orders based on type, either new or portyes
refreshbooleanAllows to force the synchronization of all in_progress ordersno

Response ​

Status codes ​

ParameterDescription
200The list of orders is ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
ordersarrayA list of order objects as defined by new order structure or port order structureno
Example of new orders ​
json
{
  "orders": [
    {
      "area_code": 113,
      "consecutive": true,
      "date": "2024-02-19T16:20:33",
      "numbers": [
          "1133407992",
          "1133407991",
          "1133407993"
      ],
      "order_id": "9A157D93DD649D91C791737A7412828CC603C598",
      "progress": 100,
      "quantity": 3,
      "status": "order_confirmed"
    },
    {
      "area_code": 204,
      "consecutive": false,
      "date": "2024-02-20T09:40:30",
      "numbers": [],
      "order_id": "90FAC03C74704C73FE225FE55B4846CC5A37F110",
      "progress": 0,
      "quantity": 2,
      "status": "in_progress"
    },
    {
      "area_code": 1237,
      "consecutive": false,
      "date": "2023-02-07T15:32:33",
      "numbers": [],
      "order_id": "838ADE1DE4EED602C48C9FC2945724D4BBDCC870",
      "progress": 22.2,
      "quantity": 2,
      "status": "order_error"
    }
  ]
}
Example of port orders ​
json
{
  "orders": [
    {
      "area_code": 2030,
      "consecutive": false,
      "date": "2024-05-31T00:00:00",
      "numbers": [
        "2030484379",
        "2030484380",
        "2030484381"
      ],
      "order_id": "650168",
      "progress": 0,
      "quantity": 3,
      "status": "in_progress",
      "sub_status": "REQUEST_AWAITING_REVIEW"
    },
    {
      "area_code": 2030,
      "consecutive": false,
      "date": "2024-06-17T00:00:00",
      "numbers": [
        "2030484352"
      ],
      "order_id": "651251",
      "progress": 0,
      "quantity": 1,
      "status": "order_error",
      "sub_status": "ORDER_CANCELLED"
    },
    {
      "area_code": 2030,
      "consecutive": false,
      "date": "2024-06-17T00:00:00",
      "numbers": [
        "2030484354"
      ],
      "order_id": "651286",
      "progress": 0,
      "quantity": 1,
      "status": "order_confirmed",
      "sub_status": "COMPLETE"
    },
    {
      "area_code": 2030,
      "consecutive": false,
      "date": "2024-06-17T00:00:00",
      "numbers": [
        "2030484353"
      ],
      "order_id": "651266",
      "progress": 0,
      "quantity": 1,
      "status": "order_confirmed",
      "sub_status": "COMPLETE"
    }
  ]
}

Retrieve a single new order ​

This endpoint allows to retrieve the details of a specific new order for the current Gamma service.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/orders/{order_id}

Authorization ​

Required role

tenants.instance.subscriptions.gamma.orders.new.instance

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations
order_idintegerThe unique id provided by Gamma to identify the order

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The details of the order are ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

An object as defined by this structure

Example ​
json
{
  "area_code": 113,
  "consecutive": true,
  "date": "2024-02-19T16:20:33",
  "numbers": [
    "1133407992",
    "1133407991",
    "1133407993"
  ],
  "order_id": "9A157D93DD649D91C791737A7412828CC603C598",
  "quantity": 3,
  "status": "order_confirmed"
}

Retrieve a single port order ​

This endpoint allows to retrieve the details of a specific port order for the current Gamma service.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/gamma/port_orders/{order_id}

Authorization ​

Required role

tenants.instance.subscriptions.gamma.orders.port.instance

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the locations
order_idintegerThe unique id provided by Gamma to identify the order

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200The details of the order are ready
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

An object as defined by this structure

Example ​
json
{
  "account": {
    "billingAccountId": 2106,
    "contactNumber": "+442170444911",
    "firstName": "Netaxis",
    "primaryEmail": "",
    "secondName": "User",
    "secondaryEmail": null
  },
  "area_code": 2030,
  "consecutive": false,
  "customer": {
    "companyName": "Hunter Ltd",
    "contactNumber": "+442030484354",
    "emailAddress": "ethan.wood@yahoo.com",
    "firstName": "Phoebe",
    "jobTitle": null,
    "providerAccountNumber": null,
    "secondName": "Simpson"
  },
  "date": "2024-06-17T00:00:00",
  "history": [
    {
      "itemMessage": "Port complete",
      "itemTime": "2024-06-21 08:51:18.373"
    },
    {
      "itemMessage": "Porting Register Awaiting auto completion",
      "itemTime": "2024-06-21 08:50:52.483"
    },
    {
      "itemMessage": "Contacts added to Numbers",
      "itemTime": "2024-06-21 08:50:45.877"
    },
    {
      "itemMessage": "Porting Register updated",
      "itemTime": "2024-06-21 08:50:38.22"
    },
    {
      "itemMessage": "Order marked as port passed to LCP/RH from realtime route or call.",
      "itemTime": "2024-06-21 08:50:38.207"
    },
    {
      "itemMessage": "Order marked as Pre Port Test Call Complete",
      "itemTime": "2024-06-21 08:50:38.19"
    },
    {
      "itemMessage": "RSM Provisioning Request Sent. Please check SIP Service history for outcome",
      "itemTime": "2024-06-21 00:02:21.46"
    },
    {
      "itemMessage": "RSM Provisioning Request Sent. Please check SIP Service history for outcome",
      "itemTime": "2024-06-21 00:02:20.617"
    },
    {
      "itemMessage": "Request has been sent for RSM Provisioning",
      "itemTime": "2024-06-21 00:02:19.537"
    },
    {
      "itemMessage": "Request has been sent for RSM Provisioning",
      "itemTime": "2024-06-21 00:02:19.413"
    },
    {
      "itemMessage": "Provisioning successful for CSCF request id: 1463099",
      "itemTime": "2024-06-20 15:39:58.46"
    },
    {
      "itemMessage": "ACQ request tracker 1153264 with message Number is added to Number DB and CSCF[1463099]",
      "itemTime": "2024-06-20 15:39:19.317"
    },
    {
      "itemMessage": "ACQ request tracker 1153264 has been submitted to the ACQ system for processing",
      "itemTime": "2024-06-20 15:37:07.557"
    },
    {
      "itemMessage": "Porting Register updated. ACQ request submitted to Number DB and CSCF",
      "itemTime": "2024-06-20 15:36:06.973"
    },
    {
      "itemMessage": "Request accepted by donor",
      "itemTime": "2024-06-20 15:30:05.73"
    },
    {
      "itemMessage": "Provide requested to LCP - order email notification outcome: Success",
      "itemTime": "2024-06-10 15:31:22.137"
    },
    {
      "itemMessage": "Port Requested to LCP via NPOR email",
      "itemTime": "2024-06-10 15:31:11.493"
    },
    {
      "itemMessage": "Request approved by Gamma Telecom",
      "itemTime": "2024-06-10 15:31:11.48"
    },
    {
      "itemMessage": "Request completed",
      "itemTime": "2024-06-10 15:30:37.783"
    },
    {
      "itemMessage": "Request submitted to Gamma Telecom",
      "itemTime": "2024-06-10 15:30:37.783"
    }
  ],
  "numbers": [
    "2030484354"
  ],
  "order_id": "651286",
  "progress": 100,
  "quantity": 1,
  "status": "order_confirmed",
  "sub_status": "COMPLETE"
}

Gamma new order object ​

ParameterTypeDescriptionConditional?
order_idstringAn unique id provided by Gamma to identify the orderno
datestringThe date when the order has been placedno
quantityintegerThe amount of ordered numbersno
statusstringThe status of the order transaction. Could be in_progress, order_confirmed or order_errorno
consecutivebooleanTrue if the order is for consecutive numbers, false otherwiseno
area_codeintegerThe area code of the orderno
progressintegerThe amount of completion of the order processno
numbersarrayThe list of ordered numbers. It could be empty until the completion of the order processno

Gamma port order object ​

ParameterTypeDescriptionConditional?
order_idstringAn unique id provided by Gamma to identify the orderno
datestringThe date when the order has been placedno
quantityintegerThe amount of ordered numbersno
statusstringThe status of the order transaction. Could be in_progress, order_confirmed or order_errorno
sub_statusstringIt's a Gamma specific event that represent the step in which the porting order is inno
consecutivebooleanTrue if the order is for consecutive numbers, false otherwiseno
area_codeintegerThe area code of the orderno
progressintegerThe amount of completion of the order processno
numbersarrayThe list of ordered numbers. It could be empty until the completion of the order processno
accountobjectThe details of the account associated with the port order as defined by this structureyes
customerobjectThe details of the customer associated with the port order as defined by this structureyes
historyarrayThe list of object defining the log of the porting process. Each log entry is defined by this structureyes

Gamma order account object ​

ParameterTypeDescriptionConditional?
billingAccountIdintegerAn unique id provided by Gamma to identify the account (a.k.a. clientId)no
contactNumberstringThe main number associated with the port orderno
firstNamestringThe first name of the operator that created the port orderno
secondNamestringThe surname of the operator that created the port orderno
primaryEmailstringThe primary email of the operator that created the port orderno
secondaryEmailstringThe secondary email of the operator that created the port orderno

Gamma order customer object ​

ParameterTypeDescriptionConditional?
firstNamestringThe first name of the customer associated with the port orderno
secondNamestringThe surname of the customer associated with the port orderno
emailAddressstringThe email address of the customer associated with the port orderno
contactNumberstringThe main contact phone number of the customer associated with the port orderno
companyNamestringThe company name of the customer associated with the port orderno
jobTitlestringThe job title of the customer associated with the port orderno
providerAccountNumberstringThe identifier of the customer associated with the port orderno

Gamma order history object ​

ParameterTypeDescriptionConditional?
itemMessagestringThe message associated to the logged eventno
itemTimestringThe date when the event happenedno

Gamma LCP object ​

ParameterTypeDescriptionConditional?
keystringThe internal identifier of the loosing communication providerno
valuestringThe friendly name of the loosing communication providerno

Gamma Customer object ​

ParameterTypeDescriptionConditional?
first_namestringThe first name of the customer associated with the port orderno
last_namestringThe surname of the customer associated with the port orderno
email_addressstringThe email address of the customer associated with the port orderno
contact_numberstringThe main contact phone number of the customer associated with the port orderno
company_namestringThe company name of the customer associated with the port orderno
job_titlestringThe job title of the customer associated with the port orderyes
provider_account_numberstringThe identifier of the customer associated with the port orderyes

Gamma Address object ​

ParameterTypeDescriptionConditional?
old_postcodestringThe old address post code (eg. RG14 5BY)yes
localitystringThe current address locality (eg. Westminster)yes
streetstringThe current address street (eg. Kings Road West)no
townstringThe current address town (eg. Newbury)no
countystringThe current address county (eg. Berkshire)yes
postcodestringThe current address post code (eg. RG14 5BY)no
premisesstringThe current address premises (eg. Crown House)yes

Gamma Port Date object ​

ParameterTypeDescriptionConditional?
port_datestringThe preferred port dateno
port_date_typestringThe type of porting. Could be standard, in_hours or out_hoursno
time_slotstringThe preferred time slotyes
commentstringAny useful comment, mainly used for port_date_type == "out_hors"yes

Gamma Number object ​

ParameterTypeDescriptionConditional?
prefixstringThe prefix of the number (usually the area code)no
numberstringThe final part of the numberno

Gamma Range object ​

ParameterTypeDescriptionConditional?
start_prefixstringThe prefix of the starting number (usually the area code)no
start_numberstringThe final part of the starting numberno
end_prefixstringThe prefix of the ending number (usually the area code)no
end_numberstringThe final part of the ending numberno

Gamma configuration object ​

ParameterTypeDescriptionConditional?
gamma_first_namestringFirst name of the contact person used for Gamma ordersyes
gamma_last_namestringLast name of the contact person used for Gamma ordersyes
gamma_primary_emailstringPrimary email address of the contact person used for Gamma ordersyes
gamma_notify_emailstringEmail address notified by Gamma about the orders progressyes
gamma_contact_numberstringContact phone number used for Gamma ordersyes
gamma_billing_idintegerGamma billing account identifieryes
gamma_client_idintegerGamma client (billing account) identifieryes
gamma_service_idstringIdentifier of the Gamma SIP trunk service holding the numbersyes
gamma_usernamestringUsername used to authenticate against the Gamma SIP trunks APIyes
gamma_passwordstringPassword used to authenticate against the Gamma SIP trunks API. Returned masked as ********yes
gamma_gnp_usernamestringUsername used to authenticate against the Gamma number porting (GNP) APIyes
gamma_gnp_passwordstringPassword used to authenticate against the Gamma number porting (GNP) API. Returned masked as ********yes
gamma_gnp_loastringReference (obj_ref) of the Letter of Authority document uploaded through the upload API, used for port ordersyes